Subject: Re: [PATCH V4 mlx5-next 13/13] vfio/mlx5: Use its own PCI reset_done error handler

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 27 Oct 2021 13:53:35 -0300

On Wed, Oct 27, 2021 at 10:48:55AM -0600, Alex Williamson wrote:

> Ok, I see.  I didn't digest that contention on state_mutex can only
> occur from a concurrent migration region access and the stale state is
> resolved at the end of that concurrent access, not some subsequent
> access.

Ah, I see, yes, that is tricky - the spinlock around the mutex
provides the guarentee: deferral cannot be set at mutex_lock() time.

Jason